View Issue Details

IDProjectCategoryView StatusLast Update
0001470SOGoSOPEpublic2013-01-22 08:35
Reporteralessio Assigned Tojraby 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.8a 
Fixed in Version2.0.4 
Summary0001470: Sogo user should be a system user
Description

This script creates a normal user:

sudo rpm --scripts -q sogo | grep user
if ! id sogo >& /dev/null; then /usr/sbin/adduser sogo > /dev/null 2>&1; fi

grep sogo /etc/passwd

sogo:x:5082:5082::/home/sogo:/bin/bash

sogo uid>5000

TagsNo tags attached.

Activities

alessio

alessio

2011-10-17 05:01

reporter   ~0002916

The create command should be like this:
if ! id sogo >& /dev/null; then /usr/sbin/useradd -r sogo > /dev/null 2>&1; fi

jraby

jraby

2013-01-21 15:41

viewer   ~0005242

indeed!

I commited a slightly different patch as the homedir is not created with -r.

see https://github.com/inverse-inc/sogo/commit/ac5c2b611a5486917427a9faf4fe285a209625ff

Issue History

Date Modified Username Field Change
2011-10-17 04:50 alessio New Issue
2011-10-17 05:01 alessio Note Added: 0002916
2013-01-18 15:01 ludovic Status new => assigned
2013-01-18 15:01 ludovic Assigned To => jraby
2013-01-21 15:41 jraby Note Added: 0005242
2013-01-21 15:41 jraby Status assigned => resolved
2013-01-21 15:41 jraby Resolution open => fixed
2013-01-22 08:35 francis Fixed in Version => 2.0.4